Page MenuHomePhabricator

[OMPT] Handling of the events of initial-task-begin and initial-task-end
ClosedPublic

Authored by tcramer on Feb 28 2019, 4:16 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

tcramer created this revision.Feb 28 2019, 4:16 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 28 2019, 4:16 AM
tcramer edited the summary of this revision. (Show Details)Feb 28 2019, 4:19 AM
tcramer retitled this revision from [OMPT] Handling of the events of implicit-task-begin and implicit-task-end to [OMPT] Handling of the events of initial-task-begin and initial-task-end.Feb 28 2019, 4:26 AM
tcramer edited the summary of this revision. (Show Details)
hbae added inline comments.Feb 28 2019, 12:57 PM
runtime/src/kmp_runtime.cpp
3992 ↗(On Diff #188706)

I am not sure if this call corresponds to the 5.0 spec's description (472:26--29).

The actual_parallelism argument indicates the number of threads in the parallel region or the number of teams in the teams region. For initial tasks, that are not closely nested in a teams construct, this argument is 1. For the implicit-task-end and the initial-task-end events, this argument is 0.

runtime/test/ompt/callback.h
465 ↗(On Diff #188706)

I think this statement should print information about ompt_event_initial_task_begin.

protze.joachim added inline comments.Mar 1 2019, 1:07 AM
runtime/test/ompt/misc/interoperability.cpp
118 ↗(On Diff #188706)

Please add

// CHECK-NOT: {{^}}[[THREAD_ID_1:[0-9]+]]: ompt_event_initial_task_end:

Same for the other worker thread.
Just to make sure that we will not see an initial-task-end for worker threads

tcramer updated this revision to Diff 188935.Mar 1 2019, 10:07 AM
tcramer marked 4 inline comments as done.Mar 1 2019, 10:09 AM

All concerns should be addressed now.

runtime/test/ompt/callback.h
465 ↗(On Diff #188706)

This had an impact on several test. It is done now.

tcramer marked an inline comment as done.Mar 1 2019, 10:10 AM
hbae accepted this revision.Mar 1 2019, 1:50 PM

LGTM.

This revision is now accepted and ready to land.Mar 1 2019, 1:50 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 20 2019, 7:19 AM